Tenant/Platforms

Get platforms assigned to a specific tenant

Returns available product platforms and actual tenant platform details by tenant ID.

GET
/api/v2/platforms/by-tenant/{tenantId}

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string

UUID of the tenant

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/platforms/by-tenant/0c62ac53-56e1-43c1-bdcc-fcc7b9c3c8e9"
{  "productPlatforms": [    [      "web",      "ios"    ]  ],  "availableProductPlatforms": [    "web"  ],  "availableTenantPlatforms": {    "web": {      "id": 923,      "name": "saas.b2broker",      "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",      "uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",      "tenantId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",      "platform": "web",      "changerId": 57,      "projectTypeId": 1,      "createdAt": "2024-12-19T20:33:39.559646+04:00",      "deletedAt": null    },    "ios": {      "id": 924,      "name": "saas.ios",      "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa7",      "uid": "3fa85f64-5717-4562-b3fc-2c963f66afa7",      "tenantId": "3fa85f64-5717-4562-b3fc-2c963f66afa7",      "platform": "ios",      "changerId": 58,      "projectTypeId": 2,      "createdAt": "2024-12-19T21:00:00.000000+04:00",      "deletedAt": null    }  },  "tenantPlatforms": {    "web": {      "id": 923,      "name": "saas.b2broker",      "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",      "tenantId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",      "platform": "web",      "changerId": 57,      "projectTypeId": 1,      "createdAt": "2024-12-19T20:33:39.559646+04:00",      "deletedAt": null    },    "ios": {      "id": 924,      "name": "saas.ios",      "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa7",      "tenantId": "3fa85f64-5717-4562-b3fc-2c963f66afa7",      "platform": "ios",      "changerId": 58,      "projectTypeId": 2,      "createdAt": "2024-12-19T21:00:00.000000+04:00",      "deletedAt": null    }  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}